## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname pyroute2

%global _description \
PyRoute2 provides several levels of API to work with Netlink\
protocols, such as Generic Netlink, RTNL, TaskStats, NFNetlink,\
IPQ.

Name: python-%{srcname}
Version: 0.7.12
Release: %autorelease
Summary: Pure Python netlink library
License: GPL-2.0-or-later OR Apache-2.0
URL: https://github.com/svinota/%{srcname}

BuildArch: noarch
Source0: %{pypi_source pyroute2}

%description %{_description}


%package -n python%{python3_pkgversion}-%{srcname}
Summary: %{summary}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools

%description -n python%{python3_pkgversion}-%{srcname} %{_description}

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyroute2

%files -n python%{python3_pkgversion}-%{srcname} -f %{pyproject_files}
%{_bindir}/ss2
%{_bindir}/%{srcname}-cli
%{_bindir}/%{srcname}-dhcp-client
%{_bindir}/%{srcname}-test-platform
%doc README*
%license LICENSE.GPL-2.0-or-later LICENSE.Apache-2.0
%{python3_sitelib}/pr2modules

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.7.12-3
- Rebuilt for Python 3.13

* Wed Mar 06 2024 Miroslav Suchý <msuchy@redhat.com> - 0.7.12-2
- use autospec

* Wed Feb 28 2024 Joel Capitao <jcapitao@redhat.com> - 0.7.12-1
- Update to 0.7.12
- Remove deprecated macro %%python_provide
- Set description in gobal variable

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Nov 16 2023 Miroslav Suchý <msuchy@redhat.com> - 0.7.3-6
- remove issue_repository

* Thu Nov 02 2023 Miroslav Suchý <msuchy@redhat.com> - 0.7.3-5
- Migrate to SPDX license

* Thu Oct 05 2023 Miroslav Suchý <msuchy@redhat.com> - 0.7.3-4
- setup packit pull-from-upstream automation

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.7.3-2
- Rebuilt for Python 3.12

* Thu Jan 26 2023 Alfredo Moralejo <amoralej@redhat.com> - 0.7.3-1
- Update to 0.7.3

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 20 2022 Python Maint <python-maint@redhat.com> - 0.6.12-2
- Rebuilt for Python 3.11

* Fri Jun 17 2022 François Rigault <frigo@amadeus.com> - 0.6.12-1
- Update to 0.6.12

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.6.9-2
- Rebuilt for Python 3.11

* Wed Apr 20 2022 karolinku <kkula@redhat.com> - 0.6.9-1
- Update to 0.6.9

* Tue Feb 01 2022 Alfredo Moralejo <amoralej@redhat.com> - 0.6.5-1
- Update to 0.6.5

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.14-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.5.14-3
- Rebuilt for Python 3.10

* Thu May 06 2021 Tomas Hrnciar <thrnciar@redhat.com> - 0.5.14-2
- Add BuildRequire on setuptools

* Fri Feb 19 2021 yatinkarel <ykarel@redhat.com> - 0.5.14-1
- Update to 0.5.14

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun May 24 2020 Miro Hrončok <miro@hroncok.cz> - 0.5.6-3
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Oct 11 2019 yatinkarel <ykarel@redhat.com> - 0.5.6-1
- Update to 0.5.6

* Thu Oct 03 2019 Miro Hrončok <miro@hroncok.cz> - 0.5.3-7
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 26 2019 Miro Hrončok <miro@hroncok.cz> - 0.5.3-6
- Subpackage python2-pyroute2 has been removed

* Sat Aug 17 2019 Miro Hrončok <miro@hroncok.cz> - 0.5.3-5
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Feb 06 2019 Alfredo Moralejo <amoralej@redhat.com> - 0.5.3-3
- Fix when building python2 only in CentOS7

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Oct 07 2018 Slawek Kaplonski <skaplons@redhat.com> - 0.5.3-1
- python-pyroute2-0.5.3-1

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jul 02 2018 Miro Hrončok <miro@hroncok.cz> - 0.5.2-4
- Rebuilt for Python 3.7

* Thu Jun 21 2018 Haikel Guemar <hguemar@fedoraproject.org> - 0.5.2-3
- Fix EL7 build

* Thu Jun 21 2018 Haikel Guemar <hguemar@fedoraproject.org> - 0.5.2-2
- Upload 0.5.2 sources

* Thu Jun 21 2018 Haikel Guemar <hguemar@fedoraproject.org> - 0.5.2-1
- Upstream 0.5.2 (includes previous deprecated async arg patch)

* Tue Jun 19 2018 Miro Hrončok <miro@hroncok.cz> - 0.4.21-5
- Commit of shame: Added the missing patch

* Mon Jun 18 2018 Miro Hrončok <miro@hroncok.cz> - 0.4.21-4
- Rebuilt for Python 3.7

* Fri Mar 16 2018 Iryna Shcherbina <shcherbina.iryna@gmail.com> - 0.4.21-3
- Use %%summary macro and remove obsolete Group tag

* Fri Mar 16 2018 Iryna Shcherbina <shcherbina.iryna@gmail.com> - 0.4.21-2
- Do not build the Python 2 subpackage on EL > 7

* Fri Feb 09 2018 Alfredo Moralejo <amoralej@redhat.com> - 0.4.21-1
- Update to 0.4.21 upstream

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Aug 29 2017 Haikel Guemar <hguemar@fedoraproject.org> - 0.4.19-2
- Upload 0.4.19 sources

* Tue Aug 29 2017 Haikel Guemar <hguemar@fedoraproject.org> - 0.4.19-1
- Upstream 0.4.19

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Jun 01 2017 Haikel Guemar <hguemar@fedoraproject.org> - 0.4.15-2
- Upload 0.4.15 sources

* Thu Jun 01 2017 Haikel Guemar <hguemar@fedoraproject.org> - 0.4.15-1
- Upstream 0.4.15 req: #365 -- full and short nla notation fixed, critical
  iproute: #364 -- new method, brport() ipdb: -- support bridge port
  options

* Wed Mar 08 2017 Peter V. Saveliev <peter@svinota.eu> - 0.4.13-1
- Update to 0.4.13

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <miro@hroncok.cz> - 0.4.10-2
- Rebuild for Python 3.6

* Fri Oct 14 2016 Peter V. Saveliev <petr.savelyev@ericsson.com> - 0.4.10-1
- Update to 0.4.10

* Thu Oct 06 2016 Peter V. Saveliev <petr.savelyev@ericsson.com> - 0.4.9-1
- Update to 0.4.9

* Tue Sep 27 2016 Peter V. Saveliev <petr.savelyev@ericsson.com> - 0.4.8-1
- Update to 0.4.8

* Tue Jul 19 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.19-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_
  Packages

* Thu Apr 07 2016 Peter V. Saveliev <petr.savelyev@ericsson.com> - 0.3.19-1
- Update to 0.3.19

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Nov 20 2015 Peter V. Saveliev <petr.savelyev@ericsson.com> - 0.3.15-1
- Update to 0.3.15

* Tue Sep 01 2015 Peter V. Saveliev <petr.savelyev@ericsson.com> - 0.3.14-1
- Update to 0.3.14-1

* Tue Sep 01 2015 Peter V. Saveliev <petr.savelyev@ericsson.com> - 0.3.4-3
- Update to 0.3.14

* Thu Jun 18 2015 Dennis Gilmore <dennis@ausil.us> - 0.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 08 2015 Peter V. Saveliev <petr.savelyev@ericsson.com> - 0.3.4-1
- Update to 0.3.4

* Fri Dec 05 2014 Peter V. Saveliev <peter@svinota.eu> - 0.3.3-1
- Update to 0.3.3

* Wed Nov 19 2014 Peter V. Saveliev <peter@svinota.eu> - 0.3.2-1
- Update to 0.3.2

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> - 0.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 18 2014 Jiri Pirko <jiri@resnulli.us> - 0.2.7-1
- Update to 0.2.7

* Thu Aug 22 2013 Peter V. Saveliev <peet@redhat.com> - 0.1.11-1
- 0.1.11-1: IPRSocket objects

* Sun Aug 04 2013 Dennis Gilmore <dennis@ausil.us> - 0.1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 26 2013 Peter V. Saveliev <peet@redhat.com> - 0.1.10-1
- 0.1.10-1: netlink I/O fixes

* Tue Jun 11 2013 Peter V. Saveliev <peet@redhat.com> - 0.1.9-1
- 0.1.9-2: fedpkg import fix

* Tue Jun 11 2013 Peter V. Saveliev <peet@redhat.com> - 0.1.8-2
- 0.1.9-1: compatibility issues and race fixes

* Tue Jun 11 2013 Peter V. Saveliev <peet@redhat.com> - 0.1.8-1
- 0.1.8-1: initial srpm import
## END: Generated by rpmautospec
